Host Vsan System Unmount Disk Mapping Task

Host Vsan System Unmount Disk Mapping Task
Unmount the mounted *VsanHostDiskMapping*.

Unmount the mounted VsanHostDiskMapping.

An unmounted volume cannot be used for any VSAN operations. In contrast to RemoveDiskMapping_Task, this operation does not destroy or alter VSAN data on the disks. AddDisks_Task and InitializeDisks_Task can be used to re-mount the diskMapping.

In case of shared-SAS, where diskMappings are visible to more than one VSAN hosts, Users may use this API to manually unmount and re-mount diskMappings.

Upon successful completion of the returned Task, its result field will be populated with VsanHostDiskMapResult[]. If any errors are encountered, the returned field will instead contain populated error information.

See also RemoveDiskMapping_Task, AddDisks_Task, InitializeDisks_Task.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/HostVsanSystem/{moId}/UnmountDiskMapping_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVsanSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
UnmountDiskMappingRequestType of type(s) application/json
Required

Show optional properties

{
    "mapping": [
        {
            "ssd": {},
            "nonSsd": [
                {
                    "capacity": {},
                    "devicePath": "string"
                }
            ]
        }
    ]
}
{
    "mapping": [
        {
            "_typeName": "string",
            "ssd": {
                "_typeName": "string",
                "deviceName": "string",
                "deviceType": "string",
                "key": "string",
                "uuid": "string",
                "descriptor": [
                    {
                        "_typeName": "string",
                        "quality": "string",
                        "id": "string"
                    }
                ],
                "canonicalName": "string",
                "displayName": "string",
                "lunType": "string",
                "vendor": "string",
                "model": "string",
                "revision": "string",
                "scsiLevel": 0,
                "serialNumber": "string",
                "durableName": {
                    "_typeName": "string",
                    "namespace": "string",
                    "namespaceId": 0,
                    "data": [
                        0
                    ]
                },
                "alternateName": [
                    {
                        "_typeName": "string",
                        "namespace": "string",
                        "namespaceId": 0,
                        "data": [
                            0
                        ]
                    }
                ],
                "standardInquiry": [
                    0
                ],
                "queueDepth": 0,
                "operationalState": [
                    "string"
                ],
                "capabilities": {
                    "_typeName": "string",
                    "updateDisplayNameSupported": false
                },
                "vStorageSupport": "string",
                "protocolEndpoint": false,
                "perenniallyReserved": false,
                "clusteredVmdkSupported": false,
                "applicationProtocol": "string",
                "dispersedNs": false,
                "deviceReservation": "string",
                "capacity": {
                    "_typeName": "string",
                    "blockSize": 0,
                    "block": 0
                },
                "devicePath": "string",
                "ssd": false,
                "localDisk": false,
                "physicalLocation": [
                    "string"
                ],
                "emulatedDIXDIFEnabled": false,
                "vsanDiskInfo": {
                    "_typeName": "string",
                    "vsanUuid": "string",
                    "formatVersion": 0
                },
                "scsiDiskType": "string",
                "usedByMemoryTiering": false
            },
            "nonSsd": [
                {
                    "_typeName": "string",
                    "deviceName": "string",
                    "deviceType": "string",
                    "key": "string",
                    "uuid": "string",
                    "descriptor": [
                        {
                            "_typeName": "string",
                            "quality": "string",
                            "id": "string"
                        }
                    ],
                    "canonicalName": "string",
                    "displayName": "string",
                    "lunType": "string",
                    "vendor": "string",
                    "model": "string",
                    "revision": "string",
                    "scsiLevel": 0,
                    "serialNumber": "string",
                    "durableName": {
                        "_typeName": "string",
                        "namespace": "string",
                        "namespaceId": 0,
                        "data": [
                            0
                        ]
                    },
                    "alternateName": [
                        {
                            "_typeName": "string",
                            "namespace": "string",
                            "namespaceId": 0,
                            "data": [
                                0
                            ]
                        }
                    ],
                    "standardInquiry": [
                        0
                    ],
                    "queueDepth": 0,
                    "operationalState": [
                        "string"
                    ],
                    "capabilities": {
                        "_typeName": "string",
                        "updateDisplayNameSupported": false
                    },
                    "vStorageSupport": "string",
                    "protocolEndpoint": false,
                    "perenniallyReserved": false,
                    "clusteredVmdkSupported": false,
                    "applicationProtocol": "string",
                    "dispersedNs": false,
                    "deviceReservation": "string",
                    "capacity": {
                        "_typeName": "string",
                        "blockSize": 0,
                        "block": 0
                    },
                    "devicePath": "string",
                    "ssd": false,
                    "localDisk": false,
                    "physicalLocation": [
                        "string"
                    ],
                    "emulatedDIXDIFEnabled": false,
                    "vsanDiskInfo": {
                        "_typeName": "string",
                        "vsanUuid": "string",
                        "formatVersion": 0
                    },
                    "scsiDiskType": "string",
                    "usedByMemoryTiering": false
                }
            ]
        }
    ]
}
array of object
mapping
Required

A VsanHostDiskMapping is a set of one SSD HostScsiDisk backed by a set of one or more non-SSD HostScsiDisk.

The maximum allowed VsanHostDiskMapping for a host is 5. A maximum set of 7 non-SSDs HostScsiDisk can be added to the one SSD HostScsiDisk.

See also VsanHostConfigInfoStorageInfo, InitializeDisks_Task.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

InvalidState: If the VsanHostDiskMapping is already unmounted.

VsanFault: if operation fails with VSAN-specific error.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"mapping":["object"]}' https://{api_host}/sdk/vim25/{release}/vsan/HostVsanSystem/{moId}/UnmountDiskMapping_Task